Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.runtime
Interface PCData

All Superinterfaces:
  Serializable

public interface PCData
extends Serializable

Method Summary
`Object` | `getData(int)`
`Object` | `getIntermediate(int)`
`Object` | `getObjectId()`
`Class` | `getType()`
`Object` | `getVersion()`
`boolean` | `isLoaded(int)`
`Collection` | `load(KodoStateManager, Collection, FetchConfiguration, Object)`
`void` | `load(KodoStateManager, FetchConfiguration, Object)`
`void` | `setData(int, Object)`
`void` | `setIntermediate(int, Object)`
`void` | `setLoaded(int, boolean)`
`void` | `setVersion(Object)`
`void` | `store(KodoStateManager)`
`void` | `store(KodoStateManager, Collection)`

Method Detail

### getObjectId

    public Object getObjectId()

### getType

    public Class getType()

### getData

    public Object getData(int)

### setData

    public void setData(int,
                        Object)

### getIntermediate

    public Object getIntermediate(int)

### setIntermediate

    public void setIntermediate(int,
                                Object)

### isLoaded

    public boolean isLoaded(int)

### setLoaded

    public void setLoaded(int,
                          boolean)

### getVersion

    public Object getVersion()

### setVersion

    public void setVersion(Object)

### load

    public void load(KodoStateManager,
                     FetchConfiguration,
                     Object)

### load

    public Collection load(KodoStateManager,
                           Collection,
                           FetchConfiguration,
                           Object)

### store

    public void store(KodoStateManager)

### store

    public void store(KodoStateManager,
                      Collection)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.